summaryrefslogtreecommitdiffstats
path: root/bin/chroot-run.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-08-31 13:13:27 +0200
committerHolger Levsen <holger@layer-acht.org>2016-08-31 13:13:27 +0200
commit90a639acb9988edf78900fe9df964e56ddd7156a (patch)
treea387846056010ee34db6f436aab89d76cac928b3 /bin/chroot-run.sh
parente3954ec16b041e1c3b2380e74042a60290430b9e (diff)
downloadjenkins.debian.net-90a639acb9988edf78900fe9df964e56ddd7156a.tar.xz
reproducible diffoscope test jobs: run autotest suite after build
Diffstat (limited to 'bin/chroot-run.sh')
-rwxr-xr-xbin/chroot-run.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/bin/chroot-run.sh b/bin/chroot-run.sh
index 924d8f82..71251888 100755
--- a/bin/chroot-run.sh
+++ b/bin/chroot-run.sh
@@ -96,6 +96,14 @@ cleanup() {
fi
#
+ # special case: diffoscope: run autotest suite after build
+ #
+ CHANGES=$(ls -1 $CHROOT_TARGET/tmp/diffoscope_*.changes 2>/dev/null|| true)
+ if [ ! -z "$CHANGES" ] ; then
+ sudo chroot $CHROOT_TARGET py.test-3 -v -r s
+ fi
+
+ #
# special case: publish debian-edu-doc on the webserver
#
CHANGES=$(ls -1 $CHROOT_TARGET/tmp/debian-edu-doc_*.changes 2>/dev/null|| true)